# Ogre::Technique::GPUDeviceNameRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU device name. More...

`#include <OgreTechnique.h>`

List of all members.

## Public Member Functions

| GPUDeviceNameRule ()
| GPUDeviceNameRule (const String &pattern, IncludeOrExclude ie, bool caseSen)

## Public Attributes

String | devicePattern
IncludeOrExclude | includeOrExclude
bool | caseSensitive

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU device name.

Definition at line 123 of file OgreTechnique.h.

## Constructor & Destructor Documentation

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( |  | ) |

Definition at line 128 of file OgreTechnique.h.

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( | const String & | pattern,
|  | IncludeOrExclude | ie,
|  | bool | caseSen |
| ) |  |  |

Definition at line 130 of file OgreTechnique.h.

## Member Data Documentation

String Ogre::Technique::GPUDeviceNameRule::devicePattern

Definition at line 125 of file OgreTechnique.h.

IncludeOrExclude Ogre::Technique::GPUDeviceNameRule::includeOrExclude

Definition at line 126 of file OgreTechnique.h.

bool Ogre::Technique::GPUDeviceNameRule::caseSensitive

Definition at line 127 of file OgreTechnique.h.

The documentation for this struct was generated from the following file:

- OgreTechnique.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:34:45 2009